aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'tests/open_static-1.sh')
-rwxr-xr-xtests/open_static-1.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/tests/open_static-1.sh b/tests/open_static-1.sh
new file mode 100755
index 0000000..99c24ec
--- /dev/null
+++ b/tests/open_static-1.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+# basic open tests with static binaries
+[ "${at_xfail}" = "yes" ] && exit 77 # see trace-0
+
+addwrite $PWD
+open_static-0 3 ok "O_WRONLY|O_CREAT" 0666 || exit 1
+open_static-0 3 ok O_RDONLY 0666 || exit 1
+
+export SANDBOX_LOG=$PWD/sb.log
+mkdir deny || exit 1
+adddeny $PWD/deny
+open_static-0 -1 deny/not-ok O_WRONLY 0666
+test -e sb.log